;$Id: rmodel.pro,v 1.3 2020/05/24 15:21:21 brandenb Exp $
;
;  Sample routine for reading the data sets in clear text.
;  This is for the simulation data 128x128x32_20kc_BDMSST93c_negOml_neg.
;  Observational data are in  ~/idl/appl/GalGlob.
;
;  Choose one of the desired files, together with value of l
;  as well as scaling factor fac, called kappa in the paper.
;
file='Model_negOm8kpc_E_7x17.txt' & Nl=8 & fac=.1 & l=4
file='Model_negOm8kpc_E_7x17.txt' & Nl=8 & fac=.1 & l=2
file='Model_negOm8kpc_B_7x17.txt' & Nl=8 & fac=.1 & l=5
file='Model_negOm8kpc_B_7x17.txt' & Nl=8 & fac=.1 & l=3
;
r=fltarr(2*(Nl-1),2*Nl+1)
l0=2 & mmid=Nl
;
; 2 3 4 5 6 7 8
; 8 7 6 5 4 3 2 1 0 1 2 3 4 5 6 7 8
openr,1,file
readf,1,r
close,1
;
f=complexarr(Nl-1,2*Nl+1)
for il=0,Nl-l0 do f[il,*]=complex(r[2*il,*],r[2*il+1,*])
;
;  print sample data
;
print,'    file                     l m   il im    fac      Real   Imag'
for m=0,2 do begin
il=l-l0
im=m+mmid
fo="(a,2x,2i2,2x,2i3,2x,e7.1,2x,2f7.2)"
fo="(a,2x,2i2,2x,2i3,2x,e7.1,2x,2f7.0)"
print,file,l,m,il,im,fac,fac*f[il,im],fo=fo
endfor
print
;
;  same, but in another format
;
print,'same, but more digits'
for m=0,2 do begin
il=l-l0
im=m+mmid
fo="(a,2x,2i2,2x,2i3,2x,e7.1,2x,2f7.0)"
fo="(a,2x,2i2,2x,2i3,2x,e7.1,2x,2f7.3)"
print,file,l,m,il,im,fac,fac*f[il,im],fo=fo
endfor
;
END
