;$Id: RfromP_W.pro,v 1.2 2020/04/02 18:57:16 brandenb Exp $
if !d.name eq 'PS' then begin
  device,xsize=18,ysize=9.7,yoffset=3
  !p.charthick=1.3 & !p.thick=1.3 & !x.thick=1.3 & !y.thick=1.3
end
;
;  global plot w/o sign change
;
siz=1.2
charthick2=3
!p.charsize=0.8
!x.margin=[6.7,0.2]
!y.margin=[3.2,0.2]
bar='!20!s!A$!n!r!6'
!p.multi=[0,2,2]
;
dir='NEWDATA/'
default,compute,0
if compute then begin
  file='P.sav' & restore,dir+file
  PP=rotate(P,5)
  RR=ebpol_global(PP,th=th,ph=ph,nph=nph)
  save,file=dir+'RR.sav',RR,PP,th,ph,nph
endif else begin
  file='RR.sav' & restore,dir+file
endelse
;
E=float(RR)
B=imaginary(RR)
;
nlev=17
color,/sgi,steps=nlev
levmax1=.20 & lev1=levmax1*grange(-1,1,nlev)
levmax2=.08 & lev2=levmax2*grange(-1,1,nlev)
levmax1=.08 & lev1=levmax1*grange(-1,1,nlev)
levmax2=.04 & lev2=levmax2*grange(-1,1,nlev)
!p.multi=[0,2,2]
!x.ticks=8
!y.ticks=6
!x.range=[0,360]
!y.range=[180,0]
;y=reverse(th)/!dtor
y=th/!dtor
x=ph/!dtor
xout=320.
yout=30.
small=.01
;
!x.title='!6'
!y.title='!7h!6 [degr]'
contour,clip(float(PP),minmax(lev1)),lev=lev1,/fil,/iso,x,y,xst=9,yst=9
xyouts,xout,yout,siz=siz,col=255,'!8Q!6',charthick=charthick2
oplot,x,x*0+90,col=255,li=3
axis,/xax,xr=[360,0],xtit='!8l!6 [degr]'
axis,/yax,yr=[-90,90],ytit='!6',charsize=small
;
!y.title='!6'
contour,clip(imaginary(PP),minmax(lev1)),lev=lev1,/fil,/iso,x,y,xst=9,yst=9
xyouts,xout,yout,siz=siz,col=255,'!8U!6',charthick=charthick2
oplot,x,x*0+90,col=255,li=3
axis,/xax,xr=[360,0],xtit='!8l!6 [degr]'
axis,/yax,yr=[-90,90],ytit='!8b!6 [degr]'
;
!x.title='!7u!6 [degr]'
!y.title='!7h!6 [degr]'
contour,clip(float(RR),minmax(lev2)),lev=lev2,/fil,/iso,x,y
xyouts,xout,yout,siz=siz,col=255,'!8E!6',charthick=charthick2
oplot,x,x*0+90,col=255,li=3
axis,/xax,xr=[360,0],xtit='!6',charsize=small
axis,/yax,yr=[-90,90],ytit='!6',charsize=small
;
!y.title='!6'
contour,clip(imaginary(RR),minmax(lev2)),lev=lev2,/fil,/iso,x,y
xyouts,xout,yout,siz=siz,col=255,'!8B!6',charthick=charthick2
oplot,x,x*0+90,col=255,li=3
axis,/xax,xr=[360,0],xtit='!6',charsize=small
axis,/yax,yr=[-90,90],ytit='!8b!6 [degr]'
;
!x.title='!6'
!y.title='!6'
xx0=.980 & yy1=.61 & dxx=.007 & dyy=.16
colorbar,pos=[xx0,yy1,xx0+dxx,yy1+dyy], range=[-1,1]*levmax1,/top,/ver,$
form='(f5.2)',charsize=0.8,div=4,ytit='!6',col=255
;
yy1=.11
colorbar,pos=[xx0,yy1,xx0+dxx,yy1+dyy], range=[-1,1]*levmax2,/top,/ver,$
form='(f5.2)',charsize=0.8,div=4,ytit='!6',col=255
;
print,"$mv idl.ps ~/tex/mhd/aspen19/marcus/fig/RfromP_W.ps"
END
