;$Id: RfromP_shift.pro,v 1.1 2020/05/23 03:06:06 brandenb Exp $
if !d.name eq 'PS' then begin
  device,xsize=18,ysize=14.9,yoffset=3
  !p.charthick=1.3 & !p.thick=1.3 & !x.thick=1.3 & !y.thick=1.3
end
;
;  global plot w/o sign change
;
siz=1.2
thick3=3.
charthick2=4
!p.charsize=1.6
!x.margin=[6.7,0.2]
!y.margin=[3.2,0.2]
bar='!20!s!A$!n!r!6'
!p.multi=[0,2,3]
;
dir='NEWDATA/'
dir='Kband/'
default,compute,0
if compute then begin
  file='P.sav' & restore,dir+file
  PP=rotate(P,5)
  nlmax=16
  nlmax=7
  nlmax=9
  nlmax=48
  RR=ebpol_global(PP,th=th,ph=ph,nph=nph,nlmax=nlmax,modes=modes)
  save,file=dir+'RR.sav',RR,PP,th,ph,nph
endif else begin
  file='RR.sav' & restore,dir+file
endelse
;
E=float(RR)
B=imaginary(RR)
;
;nlev=30
nlev=17
color,/sgi,steps=nlev
;loadct,0 ;(uncomment for B+W)
levmax1=.04 & lev1=levmax1*grange(-1,1,nlev) ;(K-band)
levmax2=.04 & lev2=levmax2*grange(-1,1,nlev) ;(K-band)
levmax1=.20 & lev1=levmax1*grange(-1,1,nlev)
levmax2=.08 & lev2=levmax2*grange(-1,1,nlev)
levmax2=.10 & lev2=levmax2*grange(-1,1,nlev)
!x.ticks=8
!y.ticks=6
!x.range=[0,360]
!y.range=[180,0]
;y=reverse(th)/!dtor
y=th/!dtor
x=ph/!dtor
xout=320.
yout=30.
small=.01
;
;  P
;
!x.title='!6'
!y.title='!7h!6 [degr]'
contour,clip(float(PP),minmax(lev1)),lev=lev1,/fil,/iso,x,y,xst=9,yst=9
xyouts,xout,yout,siz=siz,col=255,'!8Q!6',charthick=charthick2
oplot,x,x*0+90,col=255,li=3,thick=thick3
axis,/xax,xr=[360,0],xtit='!8l!6 [degr]'
axis,/yax,yr=[-90,90],ytit='!6',charsize=small
;
!y.title='!6'
contour,clip(imaginary(PP),minmax(lev1)),lev=lev1,/fil,/iso,x,y,xst=9,yst=9
xyouts,xout,yout,siz=siz,col=255,'!8U!6',charthick=charthick2
oplot,x,x*0+90,col=255,li=3,thick=thick3
axis,/xax,xr=[360,0],xtit='!8l!6 [degr]'
axis,/yax,yr=[-90,90],ytit='!8b!6 [degr]'
;
;  R
;
thick2=6
xbox=[135,225,225,135,135]
ybox=[135,135, 45, 45,135]
!x.title='!7u!6 [degr]'
!y.title='!7h!6 [degr]'
contour,clip(float(RR),minmax(lev2)),lev=lev2,/fil,/iso,x,y
xyouts,xout,yout,siz=siz,col=255,'!8E!6',charthick=charthick2
oplot,x,x*0+90,col=255,li=3,thick=thick3
axis,/xax,xr=[360,0],xtit='!6',charsize=small
axis,/yax,yr=[-90,90],ytit='!6',charsize=small
;
!y.title='!6'
contour,clip(imaginary(RR),minmax(lev2)),lev=lev2,/fil,/iso,x,y
xyouts,xout,yout,siz=siz,col=255,'!8B!6',charthick=charthick2
oplot,x,x*0+90,col=255,li=3,thick=thick3
axis,/xax,xr=[360,0],xtit='!6',charsize=small
axis,/yax,yr=[-90,90],ytit='!8b!6 [degr]'
;
;  shifted R
;
!x.style=1+4
!x.title='!7u!6 [degr]'
!y.title='!7h!6 [degr]'
contour,shift(clip(float(RR),minmax(lev2)),180,0),lev=lev2,/fil,/iso,x,y
xyouts,xout,yout,siz=siz,col=255,'!8E!6',charthick=charthick2
oplot,x,x*0+90,col=255,li=3,thick=thick3
axis,/xax,xr=[360,0],xtit='!6',charsize=small
axis,/yax,yr=[-90,90],ytit='!6',charsize=small
oplot,xbox,ybox,col=255,thick=thick2
oplot,[180,180],[45,135],col=255,li=3,thick=thick3
!x.style=1
xtickn=str([180,225,270,315,0,45,90,135,180])
xtickv=[0,45,90,135,180,225,270,315,360]
axis,xax=0,xtickv=xtickv,xtickn=xtickn
axis,xax=1,xtickv=xtickv,xtickn=xtickn,charsiz=.01
;
!x.style=1+4
!y.title='!6'
contour,shift(clip(imaginary(RR),minmax(lev2)),180,0),lev=lev2,/fil,/iso,x,y
xyouts,xout,yout,siz=siz,col=255,'!8B!6',charthick=charthick2
oplot,x,x*0+90,col=255,li=3,thick=thick3
axis,/xax,xr=[360,0],xtit='!6',charsize=small
axis,/yax,yr=[-90,90],ytit='!8b!6 [degr]'
oplot,xbox,ybox,col=255,thick=thick2
oplot,[180,180],[45,135],col=255,li=3,thick=thick3
axis,/xax,xr=[360,0],xtit='!8l!6 [degr]'
!x.style=1
xtickn=str([180,225,270,315,0,45,90,135,180])
xtickv=[0,45,90,135,180,225,270,315,360]
axis,xax=0,xtickv=xtickv,xtickn=xtickn
axis,xax=1,xtickv=xtickv,xtickn=xtickn,charsiz=.01
;
!x.style=1
!x.title='!6'
!y.title='!6'
xx0=.985 & yy1=.76 & dxx=.007 & dyy=.16
colorbar,pos=[xx0,yy1,xx0+dxx,yy1+dyy], range=[-1,1]*levmax1,/top,/ver,$
form='(f4.1)',charsize=0.8,div=4,ytit='!6',col=255,charthick=3
;
yy1=.43
colorbar,pos=[xx0,yy1,xx0+dxx,yy1+dyy], range=[-1,1]*levmax2,/top,/ver,$
form='(f5.2)',charsize=0.8,div=4,ytit='!6',col=255,charthick=3
;
yy1=.09
colorbar,pos=[xx0,yy1,xx0+dxx,yy1+dyy], range=[-1,1]*levmax2,/top,/ver,$
form='(f5.2)',charsize=0.8,div=4,ytit='!6',col=255,charthick=3
;
print,"$mv idl.ps ~/tex/mhd/aspen19/marcus/fig/RfromP_shift.ps"
print,"$mv idl.ps RfromP.ps"
!p.multi=0
END
