;$Id: Rm_from_Pm.pro,v 1.12 2020/05/16 06:39:07 brandenb Exp $
if !d.name eq 'PS' then begin
  device,xsize=18,ysize=10,yoffset=3
  !p.charthick=1.3 & !p.thick=1.3 & !x.thick=1.3 & !y.thick=1.3
end
;
;  global plot w/o sign change
;
siz=1.0
!p.charsize=0.8
!x.margin=[9.5,1.7]
!y.margin=[3.2,.5]
bar='!20!s!A$!n!r!6'
!p.multi=[0,2,2]
s=1./sqrt(36.)
loadct,0
col1=238
col2=199
;
;dir='9000x18000/'
;file='Pm.sav' & restore,dir+file
;default,compute,0
;if compute then begin
;  Rm=ebpol_theta(Pm,th=th)
;  save,file='Rm.sav',Rm,th
;endif else begin
;  print,'compute=1'
;  file='Rm.sav' & restore,file
;endelse
;
;file='RRR.sav' & restore,file
;Q=float(PPP) & U=imaginary(PPP)
;E=float(RRR) & B=imaginary(RRR)
;
dir='NEWDATA/' & tag='_W'
dir='' & tag=''
file='RR.sav' & restore,dir+file
Q=float(PP) & U=imaginary(PP)
E=float(RR) & B=imaginary(RR)
;
Qm=total(Q,1)/nph & Um=total(U,1)/nph
Em=total(E,1)/nph & Bm=total(B,1)/nph
;
Qm_rms=sqrt(total((Q-Qm)^2,1)/nph) & Um_rms=sqrt(total((U-Um)^2,1)/nph)
Em_rms=sqrt(total((E-Em)^2,1)/nph) & Bm_rms=sqrt(total((B-Bm)^2,1)/nph)
x=th/!dtor
xout=160.
;
;  smoothening of the mean
;
ismooth=7
Qm=smooth(Qm,ismooth)
Um=smooth(Um,ismooth)
Em=smooth(Em,ismooth)
Bm=smooth(Bm,ismooth)
;
;-----------------------------------------------------------------------------
yr=[-.035,.128]
!x.title='!6'
!y.title='!6<!8Q!6>!d!7u!6!n'
plot,x,Qm,xticks=6,xr=[0,180],yr=yr
;
y1=Qm+Qm_rms
y2=Qm-Qm_rms
polyfill,[x,reverse(x)],[y1,reverse(y2)],col=col1
;
y1=Qm+Qm_rms*s
y2=Qm-Qm_rms*s
polyfill,[x,reverse(x)],[y1,reverse(y2)],col=col2
;
oplot,x,Qm
oplot,x,Qm*0
oplot,[1,1]*90.,yr,li=3
print,'Q=',minmax(Qm)
xyouts,xout,.110,siz=siz,'!6(a)'
;
yr=[-.06,.06]
!y.title='!6<!8U!6>!d!7u!6!n'
plot,x,Um,xticks=6,xr=[0,180],yr=yr
;
y1=Um+Um_rms
y2=Um-Um_rms
polyfill,[x,reverse(x)],[y1,reverse(y2)],col=col1
;
y1=Um+Um_rms*s
y2=Um-Um_rms*s
polyfill,[x,reverse(x)],[y1,reverse(y2)],col=col2
;
oplot,x,Um
oplot,x,Um*0
oplot,[1,1]*90.,yr,li=3
xyouts, 10,+.048,'!6north',siz=siz
xyouts,144,-.055,'!6south',siz=siz
print,'U=',minmax(Um)
xyouts,xout,.048,siz=siz,'!6(b)'
;
;-----------------------------------------------------------------------------
yr=[-.13,.08]
!x.title='!7h!6 [degr]'
!y.title='!6<!8E!6>!d!7u!6!n'
plot,x,Em,xticks=6,xr=[0,180],yr=yr
;
y1=Em+Em_rms
y2=Em-Em_rms
polyfill,[x,reverse(x)],[y1,reverse(y2)],col=col1
;
y1=Em+Em_rms*s
y2=Em-Em_rms*s
polyfill,[x,reverse(x)],[y1,reverse(y2)],col=col2
;
oplot,x,Em
oplot,x,Em*0
oplot,[1,1]*90.,yr,li=3
xyouts,xout,.060,siz=siz,'!6(c)'
;
yr=[-.026,.022]
!y.title='!6<!8B!6>!d!7u!6!n'
plot,x,Bm,xticks=6,xr=[0,180],yr=yr
oplot,x,Bm*0
;
y1=Bm+Bm_rms
y2=Bm-Bm_rms
polyfill,[x,reverse(x)],[y1,reverse(y2)],col=col1
;
y1=Bm+Bm_rms*s
y2=Bm-Bm_rms*s
polyfill,[x,reverse(x)],[y1,reverse(y2)],col=col2
;
oplot,x,Bm
oplot,x,Bm*0
oplot,[1,1]*90.,yr,li=3
xyouts, 10,+.017,'!6north',siz=siz
xyouts,144,-.023,'!6south',siz=siz
xyouts,xout,.017,siz=siz,'!6(d)'
;
!x.title='!6'
print,"$mv idl.ps ~/tex/mhd/aspen19/marcus/fig/Rm_from_Pm"+tag+".ps"
END
