;$Id: pcombined_6panels.pro,v 1.2 2020/03/20 11:28:37 brandenb Exp $
if !d.name eq 'PS' then begin
  device,xsize=18,ysize=17.80,yoffset=3
  !p.charthick=1.2 & !p.thick=1.2 & !x.thick=1.2 & !y.thick=1.2
end
;
; change %%PageBoundingBox: 54 85 564 427
; to --> %%PageBoundingBox: 54 85 564 437
;
file1='f1g0.sav' & label1='1,0'
file2='f0g1.sav' & label2='0,1'
file3='f1g1.sav' & label3='1,1'
file4='f1m1.sav' & label4='1,-1'
labels=[label1,label2,label3,label4]
files=[file1,file2,file3,file4]
circ_sym,.8,1
;
siz=1.5
siz1=0.9
!p.charsize=1.4
!x.margin=[7.2,.2]
!y.margin=[3.2,.5]
!x.ticks=4
!y.ticks=6
;
;  define range
;
!x.range=[0,!pi]*2./3./!dtor
!y.range=[!pi,0]/!dtor
!p.multi=[0,4,3]
eps=2e-2
yO=.4
y1=.3
th2=5
th1=3
nlev=17
;
xbox=[!pi/6,!pi/2,!pi/2,!pi/6,!pi/6]
xbo2=[!pi/6,!pi/3,!pi/3,!pi/6,!pi/6]
xbo3=[!pi/3,!pi/2,!pi/2,!pi/3,!pi/3]
ybox=[!pi,!pi,!pi/2,!pi/2,!pi]
;
;  row 1: vectors
;
len=3e-4
ix1=360./6.
ix2=360./3.
!x.title='!6'
!y.title='!7h!6 [degr]'
color,/sgi,steps=nlev
for irow=0,3 do begin
  !p.title='!6(!8f!6!d0!n,!8g!6!d0!n)=('+labels[irow]+')'
  restore,files[irow]
  contour,bx,ph/!dtor,th/!dtor,/fil,nlev=30,/iso,/nodata
  vel_a,bx,-by,ph/!dtor,th/!dtor,nvec=1800,len=len,tit='',/over
  xyouts,-.52/!dtor,y1/!dtor,'!6('+lowercase(0+irow)+')',siz=siz1
  xyouts,.05/!dtor,yO/!dtor,'!8b!6',charthick=th2,siz=siz
  oplot,xbox/!dtor,ybox/!dtor
  !y.title='!6'
endfor
;
;  row 2: global E and B
;
!p.title='!6'
!y.title='!7h!6 [degr]'
lev=grange(-1,1,nlev)*3.
for irow=0,3 do begin
  restore,files[irow]
  contour,bx,ph/!dtor,th/!dtor,/fil,nlev=30,/iso,/nodata
  contour,clip(eps+float(R[0:ix1,*]),minmax(lev)),ph[0:ix1]/!dtor,th/!dtor,/fil,lev=lev,/over
  contour,clip(eps+imaginary(R[ix1:ix2,*]),minmax(lev)),ph[ix1:ix2]/!dtor,th/!dtor,/fil,lev=lev,/over
  oplot,[1,1]*ph[ix1]/!dtor,[0,180],col=255,th=th2
  xyouts,-.52/!dtor,y1/!dtor,'!6('+lowercase(4+irow)+')',siz=siz1
  xyouts,.05/!dtor,yO/!dtor,'!8E!6',charthick=th1,siz=siz,col=255
  xyouts,1.75/!dtor,yO/!dtor,'!8B!6',charthick=th1,siz=siz,col=255
  if irow eq 1 or irow eq 3 then oplot,xbox/!dtor,ybox/!dtor,col=255
  if irow eq 0 then oplot,xbo2/!dtor,ybox/!dtor,col=255
  if irow eq 2 then oplot,xbo3/!dtor,ybox/!dtor,col=255
  loadct,6
  if irow le 1 then oplot,[1,1]*30,[1,1]*90,col=122,ps=8
  if irow gt 1 then oplot,[1,1]*90,[1,1]*90,col=122,ps=8
  color,/sgi,steps=nlev
  !y.title='!6'
endfor
;
;  row 3: local E and B
;
!x.title='!7u!6 [degr]'
!y.title='!7h!6 [degr]'
lev=grange(-1,1,nlev)*3.
for irow=0,3 do begin
  restore,files[irow]
  contour,bx,ph/!dtor,th/!dtor,/fil,nlev=30,/iso,/nodata
  contour,clip(eps+float(Rloc[0:ix1,*]),minmax(lev)),ph[0:ix1]/!dtor,th/!dtor,/fil,lev=lev,/over
  contour,clip(eps+imaginary(Rloc[ix1:ix2,*]),minmax(lev)),ph[ix1:ix2]/!dtor,th/!dtor,/fil,lev=lev,/over
  oplot,[1,1]*ph[ix1]/!dtor,[0,180],col=255,th=th2
  xyouts,-.52/!dtor,y1/!dtor,'!6('+lowercase(8+irow)+')',siz=siz1
  xyouts,0.05/!dtor,yO/!dtor,'!8E!6!dloc!n',charthick=th1,siz=siz,col=255
  xyouts,1.45/!dtor,yO/!dtor,'!8B!6!dloc!n',charthick=th1,siz=siz,col=255
  if irow eq 1 or irow eq 3 then oplot,xbox/!dtor,ybox/!dtor,col=255
  if irow eq 0 then oplot,xbo2/!dtor,ybox/!dtor,col=255
  if irow eq 2 then oplot,xbo3/!dtor,ybox/!dtor,col=255
  loadct,6
  if irow le 1 then oplot,[1,1]*30,[1,1]*90,col=122,ps=8
  if irow gt 1 then oplot,[1,1]*90,[1,1]*90,col=122,ps=8
  color,/sgi,steps=nlev
  !y.title='!6'
endfor
;
!x.title='!6'
!y.title='!6'
xx0=.165 & yy1=.44 & dxx=.01 & dyy=.17
colorbar,pos=[xx0,yy1,xx0+dxx,yy1+dyy], range=minmax(lev),/top,/ver,$
form='(f4.1)',charsize=1.2,div=4,ytit='!6',col=255,/right
;
xx0=.63
colorbar,pos=[xx0,yy1,xx0+dxx,yy1+dyy], range=minmax(lev),/top,/ver,$
form='(f4.1)',charsize=1.2,div=4,ytit='!6',col=255
;
print,'$mv idl.ps ~/tex/mhd/aspen19/marcus/fig/pcombined.ps'
END
