;$Id: pcombined_EB.pro,v 1.2 2020/03/24 04:02:33 brandenb Exp $
if !d.name eq 'PS' then begin
  device,xsize=18,ysize=8.0,yoffset=3
  !p.charthick=1.2 & !p.thick=1.2 & !x.thick=1.2 & !y.thick=1.2
end
;
file='Dl1.sav'
restore,file
;
siz=1.2
!p.charsize=1.4
!x.margin=[7.2,.3]
!y.margin=[3.2,.5]
!x.ticks=4
!y.ticks=6
;
;  define range
;
!x.range=[0,!pi]*2./3.
!y.range=[-1,1]
!p.multi=[0,3,1]
!x.range=[0,!pi]*2./3./!dtor
!y.range=[!pi,0]/!dtor
;
d=.1 & e=.05
xbox=[!pi/6+e,!pi/2-d,!pi/2-d,!pi/6+e,!pi/6+e]
xbo2=[!pi/6,!pi/3,!pi/3,!pi/6,!pi/6]
xbo3=[!pi/3,!pi/2,!pi/2,!pi/3,!pi/3]
ybox=[-1.,-1.,-.2,-.2,-1.]
ybo2=[+1.,+1.,+.2,+.2,+1.]
circ_sym,.8,1
yO=.2
y1=.3
th2=5
th1=3
len=3e-4
;
nlev=17
color,/sgi,steps=nlev
;
ix1=360./6.
ix2=360./3.
!x.title='!7u!6 [degr]'
!y.title='!7h!6 [degr]'
contour,bx,ph/!dtor,th/!dtor,/fil,nlev=30,/iso,/nodata
vel_a,bx,-by,ph/!dtor,th/!dtor,nvec=2400,len=len,tit='',/over
xyouts,-.4/!dtor,yO/!dtor,'!8b!6',charthick=th2,siz=siz
oplot,xbox,ybox
oplot,xbox,ybo2
;
eps=1e-4
!y.title='!6'
lev=grange(-1,1,nlev)*3.
contour,bx,ph/!dtor,th/!dtor,/fil,nlev=30,/iso,/nodata
contour,clip(eps+float(R[0:ix1,*]),minmax(lev)),ph[0:ix1]/!dtor,th/!dtor,/fil,lev=lev,/over
contour,clip(eps+imaginary(R[ix1:ix2,*]),minmax(lev)),ph[ix1:ix2]/!dtor,th/!dtor,/fil,lev=lev,/over
oplot,[1,1]*ph[ix1]/!dtor,[-1,1],col=255,th=th2
xyouts,.05/!dtor,yO/!dtor,'!8E!6',charthick=th1,siz=siz,col=255
xyouts,1.85/!dtor,yO/!dtor,'!8B!6',charthick=th1,siz=siz,col=255
oplot,xbox,ybox,col=255
oplot,xbox,ybo2,col=255
loadct,6
oplot,[1,1]* 62,[50,130],col=122,ps=8
oplot,[1,1]*118,[50,130],col=122,ps=8
color,/sgi,steps=nlev
;
eps=1e-4
lev=grange(-1,1,nlev)*3.
contour,bx,ph/!dtor,th/!dtor,/fil,nlev=30,/iso,/nodata
contour,clip(eps+float(Rloc[0:ix1,*]),minmax(lev)),ph[0:ix1]/!dtor,th/!dtor,/fil,lev=lev,/over
contour,clip(eps+imaginary(Rloc[ix1:ix2,*]),minmax(lev)),ph[ix1:ix2]/!dtor,th/!dtor,/fil,lev=lev,/over
oplot,[1,1]*ph[ix1]/!dtor,[-1,1],col=255,th=th2
xyouts,.05/!dtor,yO/!dtor,'!8E!6!dloc!n',charthick=th1,siz=siz,col=255
xyouts,1.72/!dtor,yO/!dtor,'!8B!6!dloc!n',charthick=th1,siz=siz,col=255
oplot,xbox,ybox,col=255
oplot,xbox,ybo2,col=255
loadct,6
oplot,[1,1]* 62,[50,130],col=122,ps=8
oplot,[1,1]*118,[50,130],col=122,ps=8
color,/sgi,steps=nlev
;
print,'$mv idl.ps ~/tex/mhd/aspen19/marcus/fig/pcombined_EB.ps'
END
