;$Id: pcomp2d_4angles.pro,v 1.1 2020/05/23 15:42:42 brandenb Exp $
if !d.name eq 'PS' then begin
  device,xsize=18,ysize=22.7,yoffset=3
  !p.charthick=3.20 & !p.thick=3.20 & !x.thick=3.20 & !y.thick=3.20
end
;
siz=1.6
!p.charsize=2.4
!x.margin=[4.2,.9]
!y.margin=[1.9,.2]
!x.ticks=4
!y.ticks=4
!x.range=[-40,40]
!y.range=[-40,40]
!p.multi=[0,3,4]
nlev=17
levmax0=.20 & lev0=levmax0*grange( 0,1,nlev)
levmax1=.20 & lev1=levmax1*grange(-1,1,nlev)-.0125
;
;  localized
;
n=18
th=.5*!pi*(.5+findgen(n))/n-!pi/4.
ph=.5*!pi*(.5+findgen(n))/n-!pi/4.
;
tth=spread(th,[0],[n])
pph=spread(ph,[1],[n])
;
th0=0.
ph0=0.
sig=!pi/180.*5.
;
i=complex(0.,1.)
patch=exp(-.5*((tth-th0)^2+(pph-ph0)^2)/sig^2)
for n=0,3 do begin
b=patch*exp(n*i*!pi/4.) & tag=''
p=-b^2
ebloc=ebpol(p)
E=float(ebloc)
B=imaginary(ebloc)
xout=25.
yout=30.
;
PE=ebpol(complex(E,0.),/rev)
ppE=arg(PE)+!pi
BxE=cos(.5*ppE)
ByE=sin(.5*ppE)
;
PB=ebpol(complex(0.,B),/rev)
ppB=arg(PB)+!pi
BxB=cos(.5*ppB)
ByB=sin(.5*ppB)
;
pp=arg(p)+!pi
Bx=cos(.5*pp)
By=sin(.5*pp)
;
len=.4
!x.title='!6'
!y.title='!6'
;
loadct,0
contour,clip(abs(p),minmax(lev0)),ph/!dtor,th/!dtor,/fil,lev=lev1,/iso
velovect_noarrow,Bx,By,ph/!dtor,th/!dtor,/over,col=255,len=len,thick=thick
xyouts,xout,yout,'!8P!6',siz=siz,col=255
;
color,/sgi,steps=nlev
contour,clip(E,minmax(lev1)),ph/!dtor,th/!dtor,/fil,lev=lev1,/iso
velovect_noarrow,BxE,ByE,ph/!dtor,th/!dtor,/over,col=255,len=len,thick=thick
xyouts,xout,yout,'!8E!6',siz=siz,col=255
;
contour,clip(B,minmax(lev1)),ph/!dtor,th/!dtor,/fil,lev=lev1,/iso
velovect_noarrow,BxB,ByB,ph/!dtor,th/!dtor,/over,col=255,len=len,thick=thick
xyouts,xout,yout,'!8B!6',siz=siz,col=255
;
!x.title='!7u!6 [degr]'
!y.title='!7h!6 [degr]'
;contour,clip(float(ebglo),minmax(lev1)),ph/!dtor,th/!dtor,/fil,lev=lev1,/iso
;xyouts,xout,yout,'!8E!6!dglob!n',siz=siz,col=255
;
!y.title='!6'
;contour,clip(imaginary(ebglo),minmax(lev1)),ph/!dtor,th/!dtor,/fil,lev=lev1,/iso
;xyouts,xout,yout,'!8B!6!dglob!n',siz=siz,col=255
;
endfor
print,'$mv idl.ps ~/tex/gal/edge-onEB/fig/pcomp2d'+tag+'.ps'
END
