common cdat,x,y,z,nx,ny,nz,nw,ntmax,date0,time0
;
@xder_6th_2d
@yder_6th_2d_bc
@grad_2d
;
nph=360
nth=180
ph=2*!pi*findgen(nph)/nph
th=  !pi*(findgen(nth)+.5)/180.
;
x=ph & nx=nph
y=th & ny=nth
pom=spread(sin(th),[0],[nx])
;
l=4 & m=3 & dl=0 & f0=1. & g0=0. & run='f1g0'  ;(E<0)
l=4 & m=3 & dl=0 & f0=1. & g0=1. & run='f1g1'  ;(B<0)
l=4 & m=3 & dl=0 & f0=0. & g0=1. & run='f0g1'  ;(E>0)
l=4 & m=3 & dl=1 & f0=1. & g0=-1. & run='Dl1'  ;(north/south)
l=4 & m=3 & dl=0 & f0=1. & g0=-1. & run='f1m1' ;(B>0)
;
ii=complex(0.,1.)
f=-float(exp(+ii*m*ph)#pslm(th,0,l,m))      ;(poloidal field S)
g=+float(exp(+ii*m*ph)#pslm(th,0,l+dl,m))   ;(toroidal field T)
;
;  here the first minus signs come from the fact that d/dr(rS) = -l*S.
;  x=ph, y=th (left-handed)
;
fy=yder(f)       ;(theta derivative)
fx=xder(f)/pom   ;(phi derivative)
;
gy=+xder(g)/pom  ;(phi derivative)
gx=-yder(g)      ;(theta derivative)
;
;  (bth,bph) = (-by,bx)
;  (bth,bph) = (bx,by)
;
bth=f0*fy+g0*gy
bph=f0*fx+g0*gx
;
P=-complex(bth,bph)^2
R=ebpol_global(P)
Rloc=ebpol(P,/left)
;
nlev=17
color,/sgi,steps=nlev
levmax=4. & lev=levmax*(grange(-1,1,nlev)-.01)
!p.multi=[0,2,3]
;
contour,clip(float(P),minmax(lev)),lev=lev,/fil
contour,clip(imaginary(P),minmax(lev)),lev=lev,/fil
;
contour,clip(float(R),minmax(lev)),lev=lev,/fil
contour,clip(imaginary(R),minmax(lev)),lev=lev,/fil
;
contour,clip(float(Rloc),minmax(lev)),lev=lev,/fil
contour,clip(imaginary(Rloc),minmax(lev)),lev=lev,/fil
;
;  save data
;
print,'.c ;to save run: '+run
stop
bx=bph & by=-bth
save,file=run+'.sav',run,ph,th,bx,by,P,R,Rloc
print,'saved: '+run+'.sav'+'-> run,ph,th,bx,by,P,R,Rloc'
;
end
